Skip to content

Get Start Scripts

GET
/notebooks/init-script/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/init-script/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns all startup scripts in the project. An attached script runs as root on every boot of the Instance or Virtual Machine.

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Start script listed successfully

Media typeapplication/json
object
code
integer
message
string
data
Array<object>
object
id
integer
name
string
init_script
string
created_by
object
id
integer
name
string
email
string
username
string
errors
object

Example

{
"code": 200,
"message": "Success",
"data": [
{
"id": 172,
"name": "Instance-script-25111112519",
"init_script": "# !/bin/bash\nsudo apt update -y\n",
"created_by": {
"id": 12477,
"name": "Raj Singh",
"email": "test@gmail.com",
"username": "test@gmail.com"
}
}
],
"errors": {}
}